Cannot install Ubuntu with FTP media
Status: New   
Category:    
Pull request:    

Description

When I try to configure the Ubuntu media installation with a ftp mirror (ftp://ftp.acc.umu.se/ubuntu for example) I've the following error

(in production.log) with the spoof :

ArgumentError (/usr/lib/ruby/1.8/uri/generic.rb:1097:in `select': expected of components of URI::FTP (scheme, userinfo, host, port,

path, typecode)):

app/controllers/unattended_controller.rb:164:in `load_template_vars'

/usr/lib/ruby/1.8/uri/generic.rb:1093:in `collect'

/usr/lib/ruby/1.8/uri/generic.rb:1093:in `select'

app/models/debian.rb:10:in `preseed_path'

app/controllers/unattended_controller.rb:181:in `preseed_attributes'

(eval):1:in `load_template_vars'

app/controllers/unattended_controller.rb:164:in `load_template_vars'

/usr/lib/ruby/1.8/thread.rb:135:in `synchronize'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

The installation works well if I use a http mirror. I didn't tested if it's the same with any other linux distrib...

Thanks for looking into this.

History

#1 - 01/29/2012 07:14 AM - Ohad Levy

- Assignee set to NoName NoSurname

I've most of the internal code to fix the problem, but this requires an update to the preseed template as well.

do you mind adding here the relevant lines, so I could join it to the same commit?

#2 - 12/22/2012 05:37 AM - Felix Barbeira

I think it happens the same to me. I try to access a ftp mirror and I get the same error. With a http mirror works fine.

Started GET "/unattended/provision" for 82.x.x.x at Sat Dec 22 11:21:41 +0100 2012

Processing by UnattendedController#provision as HTML

Found bl392.xxx.com

Remove puppet certificate for bl392.xxx.com
Adding autosign entry for bl392.xxx.com

Operation FAILED: /usr/lib/ruby/1.8/uri/generic.rb:1097:in `select': expected of components of URI::FTP (scheme, userinfo, host, port, path, typecode)

Completed 500 Internal Server Error in 437ms

This is the template used:

default Ubuntu

label Ubuntu

kernel <%= @kernel >

append initrd=<= @initrd > interface=eth0 url=<= foreman_url("provision")%> ramdisk_size=10800 root=/dev/rd/0 rw auto=true priority=critical

hostname=<%= @host.name %> language=es locale=es_ES.UTF-8 console-setup/ask_detect=false keyboard-configuration/layoutcode=es

console-keymaps-es/keymap=es-latin1-nodeadkeys keyboard-configuration/xkb-keymap=es debian-installer/country=ES debian-installer/fb=false

Both machines are ubuntu 12 LTS.

#3 - 04/07/2016 11:27 AM - Oleg Obleukhov

NoName NoSurname wrote:

When I try to configure the Ubuntu media installation with a ftp mirror (ftp://ftp.acc.umu.se/ubuntu for example) I've the following error (in

production.log) with the spoof :

ArgumentError (/usr/lib/ruby/1.8/uri/generic.rb:1097:in `select': expected of components of URI::FTP (scheme, userinfo, host, port, path,

typecode)):

app/controllers/unattended_controller.rb:164:in `load_template_vars'

/usr/lib/ruby/1.8/uri/generic.rb:1093:in `collect'

/usr/lib/ruby/1.8/uri/generic.rb:1093:in `select'

app/models/debian.rb:10:in `preseed_path'

app/controllers/unattended_controller.rb:181:in `preseed_attributes'

(eval):1:in `load_template_vars'

app/controllers/unattended_controller.rb:164:in `load_template_vars'

/usr/lib/ruby/1.8/thread.rb:135:in `synchronize'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

The installation works well if I use a http mirror. I didn't tested if it's the same with any other linux distrib...

Thanks for looking into this.

 This problem is still exist:

2016-04-07T17:24:08 [app] [W] Action failed  | ArgumentError: expected of components of URI::FTP (scheme, userinfo, host, port, path, typecode)  |

/usr/lib/ruby/2.1.0/uri/generic.rb:1559:in `block in select'  | /usr/lib/ruby/2.1.0/uri/generic.rb:1555:in `collect'  | /usr/lib/ruby/2.1.0/uri/generic.rb:1555:in

`select'  | /usr/share/foreman/app/models/operatingsystems/debian.rb:13:in `preseed_path'  | /usr/share/foreman/lib/foreman/renderer.rb:169:in

`preseed_attributes'  | /usr/share/foreman/lib/foreman/renderer.rb:122:in `load_template_vars'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:429:in `block in make_lambda'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:143:in `call'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:143:in `block in halting_and_conditional'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:501:in `call'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:501:in `block in call'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:501:in `each'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:501:in `call'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'  |

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-4.1.14.2/lib/active_support/callbacks.rb:306:in `call'

...
